# eric4.Helpviewer.Bookmarks.BookmarkNode

Module implementing the bookmark node.

### Global Attributes

None

### Classes

BookmarkNode | Class implementing the bookmark node type.

### Functions

None

## BookmarkNode

Class implementing the bookmark node type.

### Derived from

object

### Class Attributes

Bookmark
Folder
Root
Separator

### Class Methods

None

### Methods

BookmarkNode | Constructor
add | Public method to add/insert a child node.
children | Public method to get the list of child nodes.
parent | Public method to get a reference to the parent node.
remove | Public method to remove a child node.
setType | Public method to set the bookmark's type.
type | Public method to get the bookmark's type.

### Static Methods

None

#### BookmarkNode (Constructor)

BookmarkNode(type_ = Root, parent = None)

Constructor

type_
  type of the bookmark node (BookmarkNode.Type)
parent
  reference to the parent node (BookmarkNode)

#### BookmarkNode.add

add(child, offset = -1)

Public method to add/insert a child node.

child
  reference to the node to add (BookmarkNode)
offset
  position where to insert child (integer, -1 = append)

#### BookmarkNode.children

children()

Public method to get the list of child nodes.

Returns:
  list of all child nodes (list of BookmarkNode)

#### BookmarkNode.parent

parent()

Public method to get a reference to the parent node.

Returns:
  reference to the parent node (BookmarkNode)

#### BookmarkNode.remove

remove(child)

Public method to remove a child node.

child
  reference to the child node (BookmarkNode)

#### BookmarkNode.setType

setType(type_)

Public method to set the bookmark's type.

type_
  type of the bookmark node (BookmarkNode.Type)

#### BookmarkNode.type

type()

Public method to get the bookmark's type.

Returns:
  bookmark type (BookmarkNode.Type)

Up